Print report

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
POST /project/{projectId}/print-report

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required

Query parameters

  • reportType string

    Values are CHANGES, CUSTOM, CUSTOM_EXECUTIVE, DELAY_TABLE, EXECUTIVE_DASHBOARD, GANTT, NARRATIVE, PINK, PROJECT_SUMMARY, QUALITY, QUALITY_THRESHOLD, RFIS, SUBMITTALS, SUMMARY, SHOULD_START_AND_FINISH, TREND_CHARTS, or VELOCITY.

  • printTimeout integer(int64)

    Default value is 60000.

application/json

Body Required

  • reportRoute string
  • paperSize string

    Values are Letter_Portrait, Letter, Legal, Tabloid, ArchD, or ArchE.

  • landScape boolean
  • reportTitle string
  • pageTimeout number(double)
  • leftHeaderTemplateParams object
    Hide leftHeaderTemplateParams attribute Show leftHeaderTemplateParams attribute object
    • * string Additional properties
  • rightHeaderTemplateParams object
    Hide rightHeaderTemplateParams attribute Show rightHeaderTemplateParams attribute object
    • * string Additional properties
  • pageWidth number(double)
  • pageHeight number(double)

Responses

  • 200 */*

    OK

POST /project/{projectId}/print-report
curl \
 --request POST 'https://live.smartpmtech.com/project/{projectId}/print-report' \
 --header "X-API-KEY: $API_KEY" \
 --header "Content-Type: application/json" \
 --header "X-COMPANY-ID: string" \
 --data '{
  "reportRoute": "string",
  "paperSize": "Letter_Portrait",
  "landScape": true,
  "companyLogo": "string",
  "reportTitle": "string",
  "pageTimeout": 42.0,
  "leftHeaderTemplateParams": {
    "additionalProperty1": "string",
    "additionalProperty2": "string"
  },
  "rightHeaderTemplateParams": {
    "additionalProperty1": "string",
    "additionalProperty2": "string"
  },
  "pageWidth": 42.0,
  "pageHeight": 42.0
}'
Request examples
# Headers
X-COMPANY-ID: string

# Payload
{
  "reportRoute": "string",
  "paperSize": "Letter_Portrait",
  "landScape": true,
  "companyLogo": "string",
  "reportTitle": "string",
  "pageTimeout": 42.0,
  "leftHeaderTemplateParams": {
    "additionalProperty1": "string",
    "additionalProperty2": "string"
  },
  "rightHeaderTemplateParams": {
    "additionalProperty1": "string",
    "additionalProperty2": "string"
  },
  "pageWidth": 42.0,
  "pageHeight": 42.0
}
Response examples (200)
42